
Foreman - Refactor #26198

ensure host list does not trigger a full page reload

02/28/2019 08:58 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6529,

https://github.com/theforeman/foreman/p

ull/6638,

https://github.com/theforeman/foreman/p

ull/6646,

https://github.com/theforeman/foreman/p

ull/6703

  

Description

remove custom JS such as host_checkboxes from asset pipeline to webpack to allow turbolinks not to do a full page reload

Related issues:

Related to Foreman - Task #23451: move all javascript/css assets to webpack New 04/30/2018

Related to Foreman - Bug #27831: Disabled buttons are still working Closed

Associated revisions

Revision ac1fe0de - 03/31/2019 07:33 AM - Ohad Levy

fixes #26198 - ensure host list does not require full page reload

Revision 602ba31f - 04/02/2019 08:57 AM - Tomer Brisker

Refs #26198 - return result from deprecated js functions

Also, specify which version to remove them

Revision 1f29f0ac - 04/03/2019 01:49 PM - Kavita Gaikwad

Refs #26198 - fix resetSelection() calling as moved to react file

Revision 2d2f8479 - 04/23/2019 11:29 AM - Tomer Brisker

Refs #26198 - Replace foreman_url with tfm.tools.foremanURL

ac1fe0d moved the foreman_url js function to webpack and deprecated the

old version but there were still a couple of places calling it causing

warnings in the console. This replaces those use cases with the newer

function.

History

#1 - 02/28/2019 08:59 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Pull request https://github.com/theforeman/foreman/pull/6529 added

#2 - 03/31/2019 07:33 AM - Timo Goebel

- Fixed in Releases 1.22.0 added
#3 - 03/31/2019 08:01 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Applied in changeset ac1fe0de56f29d834a54a96d069231a823878ed3.

#4 - 04/02/2019 08:11 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6638 added

#5 - 04/03/2019 12:37 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6646 added

#6 - 04/17/2019 06:07 AM - Ohad Levy

- Related to Task #23451: move all javascript/css assets to webpack added

#7 - 04/23/2019 09:26 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6703 added

#8 - 09/11/2019 12:27 PM - Tomer Brisker

- Related to Bug #27831: Disabled buttons are still working added

#9 - 11/11/2019 12:32 PM - Kavita Gaikwad

- Related to Bug #28236: Uncaught ReferenceError: foreman_url is not defined on selecting life cycle env while creating/editing hostgroup added

#10 - 11/11/2019 12:42 PM - Kavita Gaikwad

- Related to deleted (Bug #28236: Uncaught ReferenceError: foreman_url is not defined on selecting life cycle env while creating/editing hostgroup)
